## net.sf.saxon.type
Class ValidationException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException
                        |
                        +--net.sf.saxon.xpath.XPathException
                              |
                              +--net.sf.saxon.type.ValidationException

All Implemented Interfaces:
  org.xml.sax.Locator, java.io.Serializable, javax.xml.transform.SourceLocator

public class ValidationException
extends XPathException
implements javax.xml.transform.SourceLocator, org.xml.sax.Locator

This exception indicates a failure when validating an instance against a type defined in a schema.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class net.sf.saxon.xpath.XPathException
`XPathException.Circularity`

Constructor Summary
`ValidationException(java.lang.Exception exception)` Creates a new ValidationException with the given nested exception.
`ValidationException(java.lang.String message)` Creates a new ValidationException with the given message.
`ValidationException(java.lang.String message, java.lang.Exception exception)` Creates a new ValidationException with the given message and nested exception.
`ValidationException(java.lang.String message, javax.xml.transform.SourceLocator locator)` Create a new XPathException from a message and a Locator.

Method Summary
`int` `getColumnNumber()`
`int` `getLineNumber()`
`javax.xml.transform.SourceLocator` `getLocator()`
`java.lang.String` `getPublicId()`
`java.lang.String` `getSystemId()`
`void` `setColumnNumber(int column)`
`void` `setLineNumber(int line)`
`void` `setLocator(org.xml.sax.Locator locator)`
`void` `setPublicId(java.lang.String id)`
`void` `setSourceLocator(javax.xml.transform.SourceLocator locator)`
`void` `setSystemId(java.lang.String id)`
`java.lang.String` `toString()` Returns the String representation of this Exception

Methods inherited from class net.sf.saxon.xpath.XPathException
`getErrorCode, hasBeenReported, isTypeError, makeStatic, setErrorCode, setHasBeenReported, setIsTypeError, wrap`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidationException

    public ValidationException(java.lang.String message)

  Creates a new ValidationException with the given message.

Parameters:
  `message` - the message for this Exception

### ValidationException

    public ValidationException(java.lang.Exception exception)

  Creates a new ValidationException with the given nested exception.

Parameters:
  `exception` - the nested exception

### ValidationException

    public ValidationException(java.lang.String message,
                               java.lang.Exception exception)

  Creates a new ValidationException with the given message and nested exception.

Parameters:
  `message` - the detail message for this exception
  `exception` - the nested exception

### ValidationException

    public ValidationException(java.lang.String message,
                               javax.xml.transform.SourceLocator locator)

  Create a new XPathException from a message and a Locator.

Parameters:
  `message` - The error or warning message.
  `locator` - The locator object for the error or warning.

Method Detail

### toString

    public java.lang.String toString()

  Returns the String representation of this Exception

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    the String representation of this Exception

### getPublicId

    public java.lang.String getPublicId()

  Specified by:
    `getPublicId` in interface `javax.xml.transform.SourceLocator`

### getSystemId

    public java.lang.String getSystemId()

  Specified by:
    `getSystemId` in interface `javax.xml.transform.SourceLocator`

### getLineNumber

    public int getLineNumber()

  Specified by:
    `getLineNumber` in interface `javax.xml.transform.SourceLocator`

### getColumnNumber

    public int getColumnNumber()

  Specified by:
    `getColumnNumber` in interface `javax.xml.transform.SourceLocator`

### setPublicId

    public void setPublicId(java.lang.String id)

### setSystemId

    public void setSystemId(java.lang.String id)

### setLineNumber

    public void setLineNumber(int line)

### setColumnNumber

    public void setColumnNumber(int column)

### setLocator

    public void setLocator(org.xml.sax.Locator locator)

### setSourceLocator

    public void setSourceLocator(javax.xml.transform.SourceLocator locator)

### getLocator

    public javax.xml.transform.SourceLocator getLocator()

  Overrides:
    `getLocator` in class `javax.xml.transform.TransformerException`